OpenNMS API 1.2.9

## org.opennms.core.utils
Class HttpUtils

    java.lang.Object
      org.opennms.core.utils.HttpUtils

public final class HttpUtils
extends java.lang.Object

Provides convenience methods for use the HTTP POST method.

Author:
  Lawrence Karnowski , OpenNMS

Field Summary
`static int` `DEFAULT_POST_BUFFER_SIZE` Default buffer size for reading data.

Constructor Summary
`private` `HttpUtils()` Private constructor so this class will not be instantiated.

Method Summary
`static java.io.InputStream` `post(java.net.URL url, java.io.InputStream dataStream)` Post a given `InputStream` s data to a URL.
`static java.io.InputStream` `post(java.net.URL url, java.io.InputStream dataStream, java.lang.String username, java.lang.String password)` Post a given `InputStream` s data to a URL using BASIC authentication and the given username and password.
`static java.io.InputStream` `post(java.net.URL url, java.io.InputStream dataStream, java.lang.String username, java.lang.String password, int bufSize)` Post a given `InputStream` s data to a URL using BASIC authentication, the given username and password, and a buffer size.
`static java.io.InputStream` `post(java.net.URL url, java.io.Reader dataReader, java.lang.String username, java.lang.String password, int bufSize)` Post a given `Reader` s data to a URL using BASIC authentication, the given username and password, and a buffer size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_POST_BUFFER_SIZE

    public static final int DEFAULT_POST_BUFFER_SIZE

  Default buffer size for reading data. (Default is one kilobyte.)

  See Also:
    Constant Field Values

Constructor Detail

### HttpUtils

    private HttpUtils()

  Private constructor so this class will not be instantiated.

Method Detail

### post

    public static java.io.InputStream post(java.net.URL url,
                                           java.io.InputStream dataStream)
                                    throws java.io.IOException

  Post a given `InputStream` s data to a URL.

  Parameters:
    `url` - the `URL` to post to
    `dataStream` - an input stream containing the data to send
  Returns:
    An `InputStream that the programmer can read from to get the HTTP server's response.`
  Throws:
    `java.io.IOException`

### post

    public static java.io.InputStream post(java.net.URL url,
                                           java.io.InputStream dataStream,
                                           java.lang.String username,
                                           java.lang.String password)
                                    throws java.io.IOException

  Post a given `InputStream` s data to a URL using BASIC authentication and the given username and password.

  Parameters:
    `url` - the `URL` to post to
    `dataStream` - an input stream containing the data to send
    `username` - the username to use in the BASIC authentication
    `password` - the password to use in the BASIC authentication
  Returns:
    An `InputStream that the programmer can read from to get the HTTP server's response.`
  Throws:
    `java.io.IOException`

### post

    public static java.io.InputStream post(java.net.URL url,
                                           java.io.InputStream dataStream,
                                           java.lang.String username,
                                           java.lang.String password,
                                           int bufSize)
                                    throws java.io.IOException

  Post a given `InputStream` s data to a URL using BASIC authentication, the given username and password, and a buffer size.

  Parameters:
    `url` - the `URL` to post to
    `dataStream` - an input stream containing the data to send
    `username` - the username to use in the BASIC authentication
    `password` - the password to use in the BASIC authentication
    `bufSize` - the size of the buffer to read from `dataStream` and write to the HTTP server
  Returns:
    An `InputStream that the programmer can read from to get the HTTP server's response.`
  Throws:
    `java.io.IOException`

### post

    public static java.io.InputStream post(java.net.URL url,
                                           java.io.Reader dataReader,
                                           java.lang.String username,
                                           java.lang.String password,
                                           int bufSize)
                                    throws java.io.IOException

  Post a given `Reader` s data to a URL using BASIC authentication, the given username and password, and a buffer size.

  Parameters:
    `url` - the `URL` to post to
    `dataReader` - an input reader containing the data to send
    `username` - the username to use in the BASIC authentication
    `password` - the password to use in the BASIC authentication
    `bufSize` - the size of the buffer to read from `dataStream` and write to the HTTP server
  Returns:
    An `InputStream that the programmer can read from to get the HTTP server's response.`
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.